Loading...
Searching...
No Matches
Catch::ProcessedReporterSpec Struct Reference

`#include <catch_amalgamated.hpp>`

## Public Attributes

std::string | name
std::string | outputFilename
ColourMode | colourMode
std::map< std::string, std::string > | customOptions

## Friends

bool | operator== (ProcessedReporterSpec const &lhs, ProcessedReporterSpec const &rhs)
bool | operator!= (ProcessedReporterSpec const &lhs, ProcessedReporterSpec const &rhs)

## Detailed Description

`ReporterSpec` but with the defaults filled in.

Like `ReporterSpec`, the semantics are unchecked.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | ProcessedReporterSpec const & | lhs,
|  | ProcessedReporterSpec const & | rhs )

friend

## operator==

bool operator== | ( | ProcessedReporterSpec const & | lhs,
|  | ProcessedReporterSpec const & | rhs )

friend

## Member Data Documentation

## colourMode

ColourMode Catch::ProcessedReporterSpec::colourMode

## customOptions

std::map<std::string, std::string> Catch::ProcessedReporterSpec::customOptions

## name

std::string Catch::ProcessedReporterSpec::name

## outputFilename

std::string Catch::ProcessedReporterSpec::outputFilename

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp